package com.vaannila.util;

import java.util.Date;

import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpSessionEvent;
import javax.servlet.http.HttpSessionListener;

public class OneHttpSessionListener implements HttpSessionListener {
	public void sessionCreated(HttpSessionEvent se) {
		HttpSession session = se.getSession();
		System.out.print(getTime() + " (session) Created:");
		System.out.println("ID=" + session.getId() + " MaxInactiveInterval=" + session.getMaxInactiveInterval());
	}

	public void sessionDestroyed(HttpSessionEvent se) {
		HttpSession session = se.getSession();
		// session has been invalidated and all session data
		// (except Id)is no longer available
		System.out.println(getTime() + " (session) Destroyed:ID=" + session.getId());
	}

	private String getTime() {
		return new Date(System.currentTimeMillis()).toString();
	}
}
